## grass 6.4.4

=== macosx/Makefile ===
MODULE_TOPDIR = ..

include $(MODULE_TOPDIR)/include/Make/Platform.make

MACOSX_APP_NAME = GRASS-${GRASS_VERSION_MAJOR}.${GRASS_VERSION_MINOR}.app
MACOSX_APPDIR = ${MACOSX_APP_NAME}/Contents/MacOS
INST_DIR_MACOSX = ${prefix}/${MACOSX_APPDIR}
MACOSX_SUPPDIR = /Library/GRASS/${GRASS_VERSION_MAJOR}.${GRASS_VERSION_MINOR}
MACOSX_BUNDLE_PREFIX = ${GRASS_HOME}/macosx/dist/${MACOSX_APPDIR}
VER_MINOR_REL = `printf "%d0%d" ${GRASS_VERSION_MINOR} ${GRASS_VERSION_RELEASE}`
VER_DATE = `date +"%g%m%d"`
MAKE_DIR_CMD = mkdir -p -m 755
LN = /bin/ln -sf
LN_DIR = /bin/ln -sfh
# get python version - use python in path, should be config'd python
PYVER = `python -V 2>&1 | cut -d \  -f 2 | cut -d . -f 1,2`

# packagemaker location, options and behaviour changed in xcode 3
ifeq ($(findstring darwin8,$(ARCH)),darwin8)
XCODE_VER = xcode2
PACKAGEMAKER = /Developer/Tools/packagemaker
PKG_INST_DIR = ${prefix}/${MACOSX_APP_NAME}
else
XCODE_VER = xcode3
PACKAGEMAKER = /Developer/usr/bin/packagemaker
PKG_INST_DIR = ${prefix}
endif

SUBDIRS =
ifeq ($(MACOSX_APP),1)
SUBDIRS = app
endif

FILES = AUTHORS COPYING CHANGES REQUIREMENTS.html GPL.TXT

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: subdirs

include bundle.make

install-macosx:
	echo ${ARCH_DISTDIR}/${MACOSX_APP_NAME}
	@ if [ ! -d ${ARCH_DISTDIR}/${MACOSX_APP_NAME} ] ; then \
		echo "ERROR: GRASS.app has not been compiled. Try \"make\" in the top level source dir first."; \
		echo "  Installation aborted, exiting Make."; \
		exit; \
	fi; \
	${MAKE} real-install-macosx

# Duplicated, mostly, from the top-level makefile.

real-install-macosx: INST_DIR_TARGET = ${INST_DIR}
real-install-macosx: PREFIX_TARGET = ${prefix}
real-install-macosx: install-basic-macosx macosx-support-dir bundle-macosx
	echo ${ARCH_DISTDIR}/${MACOSX_APP_NAME}

# create a packagemaker installer package.
# pretty much the same as install, but needs intermediate install location
# to assemble package parts.

bindist-macosx: INST_DIR_TARGET = ${MACOSX_BUNDLE_PREFIX}
bindist-macosx: PREFIX_TARGET = ${GRASS_HOME}/macosx/dist
bindist-macosx: install-basic-macosx bundle-macosx
	@# installer pkg resources
	${MAKE_DIR_CMD} dist/resources
	-sed -e "s#@INST_DIR@#${INST_DIR}#g" -e "s#@MACOSX_SUPPDIR@#${MACOSX_SUPPDIR}#g" -e "s#@GRASS_VER@#${GRASS_VERSION_MAJOR}.${GRASS_VERSION_MINOR}#g" -e "s#@PYVER@#${PYVER}#g" pkg/resources/postflight.in > dist/resources/postflight
	-chmod a+rx dist/resources/postflight
	-sed -e "s#@GRASS_VER@#${GRASS_VERSION_MAJOR}.${GRASS_VERSION_MINOR}#g" pkg/resources/Description.plist.in > dist/Description.plist
	-sed -e "s#@GRASS_VERSION_MAJOR@#${GRASS_VERSION_MAJOR}#g" -e "s#@GRASS_VERSION_MINOR@#${GRASS_VERSION_MINOR}#g" -e "s#@GRASS_VERSION_RELEASE@#${GRASS_VERSION_RELEASE}#g" -e "s#@VER_MINOR_REL@#${VER_MINOR_REL}#g" -e "s#@VER_DATE@#${VER_DATE}#g" -e "s#@PKG_INST_DIR@#${PKG_INST_DIR}#g" pkg/resources/Info.plist.in > dist/Info.plist
	-${INSTALL_DATA} pkg/resources/License.rtf dist/resources
	-${INSTALL_DATA} pkg/resources/ReadMe.rtf dist/resources
	@# build the package
ifeq ($(XCODE_VER),xcode3)
	${PACKAGEMAKER} --target 10.4 --root-volume-only --id org.osgeo.grass --root dist/${MACOSX_APP_NAME} --info dist/Info.plist --out "GRASS-${GRASS_VERSION_MAJOR}.${GRASS_VERSION_MINOR}.pkg" --resources dist/resources
	rm -f "GRASS-${GRASS_VERSION_MAJOR}.${GRASS_VERSION_MINOR}.pkg/Contents/Resources/TokenDefinitions.plist"
else
	${PACKAGEMAKER} -build -ds -p "GRASS-${GRASS_VERSION_MAJOR}.${GRASS_VERSION_MINOR}.pkg" -f dist/${MACOSX_APP_NAME} -r dist/resources -i dist/Info.plist -d dist/Description.plist
endif
	@# remove intermediate files
	@# -rm -rf dist 2>/dev/null

install-basic-macosx:
	${MAKE_DIR_CMD} ${INST_DIR_TARGET}
	-cd ${GISBASE} ; tar cBf - ${MACOSX_APP_NAME} | (cd ${PREFIX_TARGET} ; tar xBf - ) 2>/dev/null
	-cd ${GISBASE} ; tar cBf - $(FILES) | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-cd ${GISBASE} ; tar cBf - bin | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-cd ${GISBASE} ; tar cBf - bwidget | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-cd ${GISBASE} ; tar cBf - docs | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-cd ${GISBASE} ; tar cBf - driver | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-cd ${GISBASE} ; tar cBf - etc | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-cd ${GISBASE} ; tar cBf - fonts | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-cd ${GISBASE} ; tar cBf - man | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-cd ${GISBASE} ; tar cBf - scripts | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-cd ${GISBASE} ; tar cBf - tools | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	if [ ${LOCALE} -eq 1 ] ; then cd ${GISBASE} ; tar cBf - locale | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null ; fi
	-cd ${GISBASE} ; tar cBf - include | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-sed -e "s#^\(GRASS_HOME.[^=]*\).*#\1= ${INST_DIR}#" \
		-e "s#^\(RUN_GISBASE.[^=]*\).*#\1= ${INST_DIR}#" \
		-e "s#-isysroot /.*MacOSX.*\.sdk##g" \
		${GISBASE}/include/Make/Platform.make > ${INST_DIR_TARGET}/include/Make/Platform.make
	-sed -e "s#^\(ARCH_DISTDIR.[^=]*\).*#\1= ${INST_DIR}#" \
		-e "s#^\(ARCH_BINDIR.[^=]*\).*#\1= ${UNIX_BIN}#" \
		${GISBASE}/include/Make/Grass.make > ${INST_DIR_TARGET}/include/Make/Grass.make
	-cd ${GISBASE} ; tar cBf - lib | (cd ${INST_DIR_TARGET} ; tar xBf - ) 2>/dev/null
	-sed 's#'${GISBASE}'#'${INST_DIR_TARGET}'#g' ${GISBASE}/etc/monitorcap > ${INST_DIR_TARGET}/etc/monitorcap
	-chmod -R a+rX ${PREFIX_TARGET}/${MACOSX_APP_NAME} 2>/dev/null
	-cd ${GRASS_HOME} ; tar cBf - gem/skeleton | (cd ${INST_DIR_TARGET}/etc ; tar xBf - ) 2>/dev/null
	-${INSTALL} ${GRASS_HOME}/gem/gem6 ${INST_DIR_TARGET} 2>/dev/null
	-touch ${PREFIX_TARGET}/${MACOSX_APP_NAME}

macosx-support-dir:
	${MAKE_DIR_CMD} ${MACOSX_SUPPDIR}
	${MAKE_DIR_CMD} ${MACOSX_SUPPDIR}/Modules/bin
	${MAKE_DIR_CMD} ${MACOSX_SUPPDIR}/Modules/docs/html
	${MAKE_DIR_CMD} ${MACOSX_SUPPDIR}/Modules/etc
	${MAKE_DIR_CMD} ${MACOSX_SUPPDIR}/Modules/lib

clean: cleansubdirs
	-rm -rf ${ARCH_DISTDIR}/${MACOSX_APP_NAME}/ 2>/dev/null

=== scripts/Makefile ===
MODULE_TOPDIR = ..

SUBDIRS = \
	d.correlate \
	d.font.freetype \
	d.monsize \
	d.mvmon \
	d.out.gpsdrive \
	d.out.png \
	d.out.file \
	d.paint.labels \
	d.polar \
	d.rast.edit \
	d.rast.leg \
	d.redraw \
	d.resize \
	d.shadedmap \
	d.slide.show \
	d.split \
	d.split.frame \
	d.text.freetype \
	d.vect.thematic \
	db.dropcol \
	db.droptable \
	db.in.ogr \
	db.out.ogr \
	db.test \
	g.extension \
	g.manual \
	i.fusion.brovey \
	i.image.mosaic \
	i.in.spotvgt \
	i.landsat.rgb \
	i.oif \
	i.spectral \
	i.tasscap \
	m.proj \
	p.out.vrml \
	r.blend \
	r.cats \
	r.colors.stddev \
	r.fillnulls \
	r.in.aster \
	r.in.srtm \
	r.in.wms \
	r.mapcalculator \
	r.mask \
	r.out.gdal \
	r.out.xyz \
	r.pack \
	r.unpack \
	r.plane \
	r.reclass.area \
	r.shaded.relief \
	r.tileset \
	r.univar.sh \
	r3.mapcalculator \
	v.build.all \
	v.centroids \
	v.colors \
	v.convert.all \
	v.db.addcol \
	v.db.addtable \
	v.db.join \
	v.db.dropcol \
	v.db.droptable \
	v.db.renamecol \
	v.db.reconnect.all \
	v.db.univar \
	v.db.update \
	v.dissolve \
	v.in.e00 \
	v.in.garmin \
	v.in.geonames \
	v.in.gns \
	v.in.gpsbabel \
	v.in.lines \
	v.in.mapgen \
	v.in.sites.all \
	v.in.wfs \
	v.out.gpsbabel \
	v.rast.stats \
	v.report \
	v.univar.sh \
	v.what.vect

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: parsubdirs

clean: cleansubdirs

=== vector/Makefile ===

MODULE_TOPDIR = ..

SUBDIRS = \
	v.build \
	v.build.polylines \
	v.category \
	v.class \
	v.clean \
	v.convert \
	v.db.connect \
	v.db.select \
	v.delaunay2 \
	v.distance \
	v.drape \
	v.edit \
	v.extract \
	v.extrude \
	v.generalize \
	v.hull \
	v.info \
	v.in.ascii \
	v.in.db \
	v.in.dxf \
	v.in.region \
	v.in.sites \
	v.kcv \
	v.kernel \
	v.label \
	v.lrs \
	v.proj \
	v.mkgrid \
	v.neighbors \
	v.net \
	v.net.alloc \
	v.net.allpairs \
	v.net.bridge \
	v.net.centrality \
	v.net.components \
	v.net.connectivity \
	v.net.distance \
	v.net.flow \
	v.net.iso \
	v.net.path \
	v.net.salesman \
	v.net.spanningtree \
	v.net.steiner \
	v.net.timetable \
	v.net.visibility \
	v.normal \
	v.out.ascii \
	v.out.dxf \
	v.out.pov \
	v.out.svg \
	v.out.vtk \
	v.overlay \
	v.parallel2 \
	v.patch \
	v.perturb \
	v.split \
	v.qcount \
	v.random \
	v.reclass \
	v.sample \
	v.segment \
	v.select \
	v.support \
	v.surf.idw \
	v.surf.rst \
	v.transform \
	v.to.3d \
	v.to.db \
	v.to.points \
	v.to.rast \
	v.to.rast3 \
	v.type \
	v.univar \
	v.vect.stats \
	v.voronoi \
	v.what \
	v.what.rast \
	v.vol.rst \
	lidar

include $(MODULE_TOPDIR)/include/Make/Platform.make

GEOSBASED=v.buffer2

#compile if GEOS present:

ifneq ($(USE_GEOS),)
    SUBDIRS += $(GEOSBASED)
endif

OGRBASED = v.out.ogr v.in.ogr v.external

#compile if OGR present:
ifneq ($(USE_OGR),)
    SUBDIRS += $(OGRBASED)
endif

TCLTKBASED = v.digit

#compile if Tcl/Tk present:
ifneq ($(strip $(TCLTKLIBS)),)
    SUBDIRS += $(TCLTKBASED)
endif

REQUIRESFT = v.label.sa

ifneq ($(strip $(FTLIB)),)
    SUBDIRS += $(REQUIRESFT)
endif

OPENDWGBASED = v.in.dwg

#compile if OPENDWG present:
ifneq ($(USE_OPENDWG),)
    SUBDIRS += $(OPENDWGBASED)
endif

PGM = vectorintro

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: htmldir

htmldir: parsubdirs

clean: cleansubdirs

=== general/g.parser/Makefile ===
MODULE_TOPDIR = ../..

PGM = g.parser

LIBES = $(GISLIB)
DEPENDENCIES= $(GISDEP)

include $(MODULE_TOPDIR)/include/Make/Module.make

default: cmd
	$(INSTALL_DATA) g_parser_test.png $(HTMLDIR)/g_parser_test.png

#FIXME: please comment or file bug reports instead of just quietly
#  bypassing portability problems with a ifneq(). otherwise underlying
#  problems never get fixed. thanks
ifneq ($(MSYSTEM),MINGW32)

# hardcoded here, this is an exeption due to the g.parser specialities:
htmlcmd:
	$(MAKE) $(HTMLDIR)/$(PGM).html HTMLSRC=

endif

=== gui/icons/Makefile ===
MODULE_TOPDIR = ../..

include $(MODULE_TOPDIR)/include/Make/Dir.make

SRCICO := $(wildcard *.ico *.png)
SRCICONS := $(wildcard grass/*.gif grass/vdigit/*.gif grass/vdigit/*.xbm silk/*.png grass2/*.png)
ETCICONS := $(patsubst %,$(ETC)/gui/icons/%,$(SRCICONS) $(SRCICO))
HTMLICONS := $(patsubst grass2/%,$(HTMLDIR)/icons/%,$(wildcard grass2/*.png))
HTMLICONS += $(patsubst grass/%,$(HTMLDIR)/icons/%,$(wildcard grass/*.gif))

ETCDIRS = \
	$(ETC)/gui \
	$(ETC)/gui/icons/grass \
	$(ETC)/gui/icons/grass/vdigit \
	$(ETC)/gui/icons/silk \
	$(ETC)/gui/icons/grass2

HTMLDIRS = \
	$(HTMLDIR)/icons

default: $(ETCICONS) $(HTMLICONS)
	$(MKDIR) $(ARCH_DISTDIR)/share/applications
	$(INSTALL_DATA) grass.desktop $(ARCH_DISTDIR)/share/applications
	$(MKDIR) $(ARCH_DISTDIR)/share/appdata
	$(INSTALL_DATA) grass.appdata.xml $(ARCH_DISTDIR)/share/appdata

$(ETC)/gui/icons/%: % | $(ETCDIRS)
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/icons/%: grass/% | $(HTMLDIRS)
	$(INSTALL_DATA) $< $@

$(HTMLDIR)/icons/%: grass2/% | $(HTMLDIRS)
	$(INSTALL_DATA) $< $@

$(ETCDIRS) $(HTMLDIRS): %:
	$(MKDIR) $@

=== lib/display/Makefile ===
MODULE_TOPDIR = ../..

EXTRA_LIBS=$(GISLIB) $(RASTERLIB) $(MATHLIB)

LIB_NAME = $(DISPLAY_LIBNAME)

include $(MODULE_TOPDIR)/include/Make/Lib.make
include $(MODULE_TOPDIR)/include/Make/Doxygen.make

default: lib

#doxygen:
DOXNAME=display

=== lib/pngdriver/Makefile ===
MODULE_TOPDIR = ../..

include $(MODULE_TOPDIR)/include/Make/Platform.make

PACKAGE ="libpngdriver"
DEFS=-DPACKAGE=\"$(PACKAGE)\"
EXTRA_CFLAGS=$(GETHOSTNAME) $(ZLIBINCPATH) $(PNGINC) -I../driver $(PICFLAGS) $(DEFS)

EXTRA_LIBS=$(DRIVERLIB) $(GISLIB) $(PNGLIB) $(MATHLIB)
LIB_NAME = $(PNGDRIVER_LIBNAME)

LIB_OBJS =	\
	Box.o			\
	Client.o		\
	Color.o			\
	Color_table.o		\
	Draw_bitmap.o		\
	Draw_line.o		\
	Draw_point.o		\
	Driver.o		\
	Erase.o			\
	Graph_close.o		\
	Graph_set.o		\
	Line_width.o		\
	Raster.o		\
	Respond.o		\
	Set_window.o		\
	read.o			\
	read_ppm.o		\
	read_bmp.o		\
	write.o			\
	write_ppm.o		\
	write_bmp.o		

ifneq ($(USE_PNG),)
  LIB_OBJS += read_png.o write_png.o
endif

include $(MODULE_TOPDIR)/include/Make/Lib.make

default: lib

=== raster/r.li/Makefile ===
MODULE_TOPDIR =../..

PGM = r.li

SUBDIRS1 = \
	r.li.cwed \
	r.li.dominance \
	r.li.edgedensity \
	r.li.mpa \
	r.li.mps \
	r.li.padcv \
	r.li.padrange \
	r.li.padsd \
	r.li.patchdensity \
	r.li.patchnum \
	r.li.pielou \
	r.li.renyi \
	r.li.richness \
	r.li.setup \
	r.li.shannon \
	r.li.shape \
	r.li.simpson

SUBDIRS = r.li.daemon $(SUBDIRS1)

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: parsubdirs
	$(INSTALL_DATA) description.html $(GISBASE)/docs/html/r.li.html

clean: cleansubdirs

$(SUBDIRS1): r.li.daemon

=== vector/v.buffer2/Makefile ===
MODULE_TOPDIR = ../..

PGM = v.buffer

LIBES = $(VECTLIB) $(DBMILIB) $(GISLIB)  $(GEOSLIBS)
DEPENDENCIES= $(VECTDEP) $(DBMIDEP) $(GISDEP)
EXTRA_INC = $(VECT_INC)
EXTRA_CFLAGS = $(VECT_CFLAGS) $(GEOSCFLAGS)

include $(MODULE_TOPDIR)/include/Make/Module.make

ifneq ($(strip $(USE_GEOS)),)
default: cmd
endif

=== vector/v.mapcalc/Makefile ===

MODULE_TOPDIR = ../..

PGM = v.mapcalc

EXTRA_HEADERS = v.mapcalc.tab.h
EXTRA_CLEAN_FILES = v.mapcalc.tab.c v.mapcalc.tab.h v.mapcalc.output

include $(MODULE_TOPDIR)/include/Make/Module.make

#CFLAGS = -g -Wall -Werror -rdynamic
#CFLAGS = -O2 -Wall -Werror -rdynamic
#LDFLAGS = -ldl -lm #-lefence
#YACC = bison -t
YACCFLAGS += -b v.mapcalc

LIBES = $(VECTLIB) $(GISLIB)
DEPENDENCIES = $(VECTDEP) $(GISDEP)
EXTRA_INC = $(VECT_INC)
EXTRA_CFLAGS = $(VECT_CFLAGS)


default: cmd

v.mapcalc.tab.c v.mapcalc.tab.h: v.mapcalc.y
	$(YACC) $(YACCFLAGS) $<

yylex.c: v.mapcalc.tab.h

.INTERMEDIATE: v.mapcalc.tab.c v.mapcalc.tab.h v.mapcalc.output



#all: v.mapcalc
#
#v.mapcalc: mapcalc.o yylex.o v.mapcalc.o number.o vector.o map.o any.o \
#	plugin.o list.o
#	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
#
#v.mapcalc.o: v.mapcalc.tab.c
#	$(CC) $(CFLAGS) -o $@ -c $<
#
#v.mapcalc.tab.c v.mapcalc.tab.h: v.mapcalc.y
#	$(YACC) $(YACCFLAGS) $<
#
#mapcalc.o: mapcalc.c list.h mapcalc.h number.h map.h plugin.h vector.h any.h
#	$(CC) $(CFLAGS) -o $@ -c $<
#
#number.o: number.c list.h mapcalc.h
#	$(CC) $(CFLAGS) -o $@ -c $<
#
#map.o: map.c list.h mapcalc.h map.h
#	$(CC) $(CFLAGS) -o $@ -c $<
#
#any.o: any.c list.h mapcalc.h any.h
#	$(CC) $(CFLAGS) -o $@ -c $<
#
#vector.o: vector.c list.h mapcalc.h vector.h
#	$(CC) $(CFLAGS) -o $@ -c $<
#
#plugin.o: plugin.c list.h mapcalc.h
#	$(CC) $(CFLAGS) -o $@ -c $<
#
#yylex.o: yylex.c mapcalc.h yylex.h v.mapcalc.tab.h
#	$(CC) $(CFLAGS) -o $@ -c $<
#
#list.o: list.c list.h
#	$(CC) $(CFLAGS) -o $@ -c $<
#
#clean:
#	rm -f *~ .*~ *.o v.mapcalc.tab.[ch] v.mapcalc

=== raster/r.li/r.li.daemon/Makefile ===
MODULE_TOPDIR = ../../..

EXTRA_LIBS=$(GISLIB) $(MATHLIB)

LIB_NAME = grass_rli.$(GRASS_VERSION_NUMBER)

LIB_OBJS = daemon.o list.o worker.o GenericCell.o avl.o avlID.o

DEPENDENCIES = $(GISDEP) 

include $(MODULE_TOPDIR)/include/Make/Lib.make

default: lib
	$(INSTALL_DATA) description.html $(GISBASE)/docs/html/r.li.daemon.html

=== raster/r.li/r.li.setup/Makefile ===
TARGET= $(ETC)/r.li.setup

MODULE_TOPDIR = ../../..

PGM = r.li.setup

include $(MODULE_TOPDIR)/include/Make/Script.make

default: script
	$(MKDIR) $(TARGET)
	$(INSTALL) area_query $(TARGET)/area_query
	$(INSTALL) masked_area_selection.sh $(TARGET)/masked_area_selection.sh
	$(INSTALL) r.li.setup.main $(TARGET)/r.li.setup.main
	$(INSTALL) r.li.setup.procedures.tcl $(TARGET)/r.li.setup.procedures.tcl
	$(INSTALL) r.li.windows.tcl $(TARGET)/r.li.windows.tcl
	$(INSTALL) sample_area_vector.sh $(TARGET)/sample_area_vector.sh
	$(INSTALL) square_mouse_selection.sh $(TARGET)/square_mouse_selection.sh
	$(INSTALL) square_query $(TARGET)/square_query
	$(INSTALL_DATA) circle.txt $(TARGET)/circle.txt
	$(INSTALL_DATA) polygon.txt $(TARGET)/polygon.txt

=== debian/changelog ===
grass (6.4.4-1) unstable; urgency=medium

  [ M. Hamish Bowman ]
  * Packaged new upstream version, drop redundant patches.
  * Dropped version dependency on libgdal-dev for easier backports.
  * Added patch to fix Help-About parsing.

  [ Francesco Paolo Lovergine ]
  * Debhelper level set to 9. 
  * Vcs-* fields are now canonical to make lintian happy.
  * Added one more lintian override.

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar by default.
  * Restructure control file with cme, remove duplice section 'science',
    add ${misc:Depends} for grass, remove obsolete ored build dependencies.
  * Add myself to Uploaders.
  * Use {build,install}-arch targets in rules file.
  * Don't use hardening-includes, but dpkg-buildflags only.
  * Pass CPPFLAGS and LDFLAGS to configure for their hardening flags.
  * Add lintian overrides for hardening-no-fortify-functions false positives.
  * Move image files to /usr/share, symlink them from /usr/lib.
  * Add lintian overrides for image-file-in-usr-lib false positives.
  * Update copyright file using copyright-format 1.0.
  * Add wxpy3.0-compat.patch for wxPython 3.0 support, adapt for 6.4.4.
    Thanks to Olly Betts for the patch.
    (closes: #757308)
  * Add patch to remove the sheband from animate.tcl which is source instead
    of executed.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 23 Aug 2014 17:37:14 +0200

=== debian/control ===
Source: grass
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: science
Priority: optional
Build-Depends: autoconf2.13,
               autotools-dev,
               debhelper (>= 9),
               doxygen,
               fakeroot,
               flex,
               bison,
               graphviz,
               libmotif-dev | lesstif2-dev,
               libcairo2-dev,
               libfftw3-dev,
               libfreetype6-dev,
               libgdal-dev,
               libgeos-dev,
               libglu1-mesa-dev,
               libjpeg-dev,
               libpng-dev,
               libtiff-dev,
               libmysqlclient-dev,
               libncurses5-dev,
               libpq-dev,
               libproj-dev,
# proj-bin needed for nad2bin during config
               proj-bin,
               libreadline-dev,
               libsqlite3-dev,
               libwxgtk3.0-dev,
               libxmu-dev,
# install optipng if compressing the PNG images in the programmers' manual
#              optipng,
               python,
               python-wxgtk3.0,
               python-dev,
               tcl-dev (>= 8.5),
               tk-dev (>= 8.5),
               unixodbc-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/grass.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/grass.git
Homepage: http://grass.osgeo.org/

Package: grass
Architecture: all
Section: metapackages
Depends: grass-core,
         grass-gui,
         ${misc:Depends}
Recommends: grass-doc
Suggests: grass-dev
Description: Geographic Resources Analysis Support System (GRASS GIS)
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 Install this virtual package to get a full GRASS system.

Package: grass-core
Architecture: any
Depends: ${shlibs:Depends},
         ${python:Depends},
# numpy used by the GRASS Python Library
         python-numpy,
         ${misc:Depends}
Recommends: gdal-bin,
# cs2cs used by m.proj, gdalinfo+gdal_translate used by a number of scripts
            proj-bin
Suggests: grass-doc,
          grass-gui,
          grass-dev,
# used by v.in.e00
          e00compr,
          avce00,
# used by i.spectral
          gnuplot,
# used by v.in.gpsbabel
          gpsbabel,
# used by v.in.garmin
          gpstrans,
# used by NVIZ, d.out.gpsdrive, r.out.mpeg
          netpbm,
# used by v.kridge
          python-rpy2,
# used by r.in.wms, v.in.wfs, g.extension
          wget | curl,
# used by r.in.wms
          xml2
Breaks: grass (<< 6.4.2-1~)
Provides: grass644
Replaces: grass (<< 6.4.2-1~)
Description: GRASS GIS core components
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the core processing components, but not the GUI.

Package: grass-gui
Architecture: any
Depends: ${shlibs:Depends},
         grass-core,
         ${python:Depends},
         python-wxgtk3.0,
# pyGL needed for wxNviz
         python-opengl,
         xterm | x-terminal-emulator,
         ${misc:Depends}
Recommends:
# gs needed for wxPsmap PDF export
            ghostscript,
# PIL needed for wxPsmap preview
            python-imaging
Breaks: grass (<< 6.4.2-1~)
Replaces: grass (<< 6.4.2-1~)
Description: GRASS GIS graphical user interfaces
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the GRASS GUIs.

Package: grass-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: grass,
          grass-dev-doc
Description: GRASS GIS user documentation
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains HTML documentation for the GRASS system.

Package: grass-dev-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         libjs-jquery
Suggests: grass
Description: GRASS GIS Programmers' Manual
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the HTML version of the GRASS Programmers' Manual.

Package: grass-dev
Section: devel
Architecture: any
Depends: grass-core (= ${binary:Version}),
# fakeroot used by patches/htmlgen-fakeroot; see changelog entry for 5.7.0+6.0.0beta2-2
         fakeroot,
         libproj-dev,
         libgdal-dev,
         libfreetype6-dev,
         ${misc:Depends}
# Subversion is needed by g.extension, a primary motivator for installing the grass-dev pkg
Recommends: subversion
Suggests: grass-dev-doc,
          pkg-config
Provides: grass64-dev
Description: GRASS GIS development files
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the header files for developing with GRASS.
 Install this package if you wish to develop software that manipulates
 GRASS data sets or install addons using the g.extension module.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

VERSION=$(shell echo `head -2 $(CURDIR)/include/VERSION` | sed -e 's/ //')
ABI=$(shell echo `head -3 $(CURDIR)/include/VERSION` | sed -e 's/ //g' -e 's/RC/-/')
BASE_NAME=grass$(VERSION)
PKG_NAME=grass

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)

# TODO: fix these
CFLAGS+=-Wno-error=format-security

CFLAGS+=-Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	STRIP = 
else
	STRIP = strip
endif

TCLINC = /usr/include/tcl

versions: 
	@echo "Version: $(VERSION)"
	@echo "ABI: $(ABI)"

templates: $(patsubst %.in,%,$(wildcard debian/*.in))

debian/% :: debian/%.in
	sed -e 's/@VERSION@/$(VERSION)/g' -e 's/@ABI@/$(ABI)/g' $< >$@

configure: config.status
config.status: 
	dh_testdir
	
	dh_autotools-dev_updateconfig
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
                    --host=$(DEB_HOST_GNU_TYPE) \
                    --build=$(DEB_BUILD_GNU_TYPE) \
                    --prefix=/usr/lib \
                    --sysconfdir=/etc \
                    --sharedstatedir=/var \
                    --enable-socket \
                    --enable-shared \
                    --with-postgres \
                    --with-mysql \
                    --with-cxx \
                    --with-x \
                    --with-gdal \
                    --with-geos \
                    --with-freetype \
                    --with-motif \
                    --with-readline \
                    --with-nls \
                    --with-odbc \
		    --with-sqlite \
		    --enable-largefile \
                    --with-freetype-includes=/usr/include/freetype2 \
                    --with-tcltk-includes=$(TCLINC) \
                    --with-postgres-includes=$(shell pg_config --includedir) \
                    --with-mysql-includes=$(shell mysql_config --include | sed -e 's/-I//') \
		    --with-proj-share=/usr/share/proj \
		    --with-wxwidgets=/usr/bin/wx-config \
		    --with-python=/usr/bin/python-config \
		    --with-cairo

	touch $@

build: build-arch build-indep

# This target generates arch-dep stuff, unfortunately most doc requires working bins to 
# be properly generated...
build-arch: configure build-arch-stamp
build-arch-stamp:  
	dh_testdir
	$(MAKE) 
	chmod 755 debian/fixpaths.sh debian/fixscripts.sh
	touch $@

# This target generates truly arch-indep stuff
build-indep: configure build-indep-stamp
build-indep-stamp: 
	dh_testdir
	# generate the Programmers' manual (in HTML)
	$(MAKE) htmldocs-single
	# save ~7mb of disk space by compressing PNG images (but takes a long time)
	##for file in `find debian/tmp/programming-manual/ -iname \*.png` ; do \
	##	optipng -o5 $$file ; \
	##done
	touch $@

clean: templates true-clean 
true-clean:
	dh_testdir
	dh_testroot
	dh_autotools-dev_restoreconfig
	
	# Add here commands to clean up after the build process.
	[ ! -f $(CURDIR)/include/Make/Platform.make ] || $(MAKE) distclean
	dh_clean 
	
	rm -f lib/proj/nad2bin
	rm -f tools/timer/main.o
	rm -f raster/r.le/r.le.setup/polytocell/*.o
	rm -f raster/r.terraflow/IOStream/lib/src/libiostream.a
	rm -f debian/$(BASE_NAME).1
	rm -f error.log
	# clean doxygen documentation (programming man)
	rm -rf doxygenhtml \
		html latex \
		rfc/html rfc/latex \
		gui/wxpython/html gui/wxpython/latex
	for LIBRARY in \
		db \
		g3d \
		gis \
		gmath \
		gpde \
		ogsf \
		proj \
		python \
		segment \
		vector \
		vector/dglib ; \
	    do \
		rm -rf lib/$$LIBRARY/html lib/$$LIBRARY/latex ; \
	done

install: install-arch install-indep

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# install grass core into debian/tmp
	$(MAKE) $(STRIP)
	$(MAKE) install \
		INST_DIR=$(CURDIR)/debian/tmp/usr/lib/$(BASE_NAME) \
		PREFIX=$(CURDIR)/debian/tmp/usr/lib/$(BASE_NAME) \
		BINDIR=$(CURDIR)/debian/tmp/usr/bin

	# make all the self-bootstrapping tcl/tk scripts executable and fully pathed
	debian/fixscripts.sh

	# fix links
	debian/fixpaths.sh $(CURDIR)/debian/tmp debian/tmp
	
	# delete extra license files
	rm -f debian/tmp/usr/lib/$(BASE_NAME)/bwidget/LICENSE.txt
	rm -f debian/tmp/usr/lib/$(BASE_NAME)/bwidget/LGPL-2.1.txt
	rm -f debian/tmp/usr/lib/$(BASE_NAME)/etc/gem/skeleton/license
	rm -f debian/tmp/usr/lib/$(BASE_NAME)/etc/license

	# delete python compiled bytecode files (maybe dh_python2 takes care of this for us?)
	for DIR in python/grass \
		python/grass/lib \
		python/grass/script \
		wxpython \
		wxpython/compat \
		wxpython/gui_modules \
		wxpython/icons ; \
	     do \
		rm -f debian/tmp/usr/lib/$(BASE_NAME)/etc/$$DIR/*.pyc ; \
	done

	# Fix permissions
	chmod 775 debian/tmp/usr/lib/$(BASE_NAME)/etc/gm/tksys.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/gm/animate.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/nviz2.2/scripts/ACS_utils.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/nviz2.2/scripts/configIndex
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/nviz2.2/scripts/flythrough.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/nviz2.2/scripts/nviz_params
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/nviz2.2/scripts/panel_arrow.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/nviz2.2/scripts/panel_legend.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/nviz2.2/scripts/panel_resize.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/nviz2.2/scripts/panel_fringe.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/nviz2.2/scripts/site_attr.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/r.li.setup/r.li.windows.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/r.li.setup/r.li.setup.procedures.tcl
	chmod 644 debian/tmp/usr/lib/$(BASE_NAME)/etc/file_option.tcl

	# change section from 1 to .1grass 
	mv debian/tmp/usr/lib/$(BASE_NAME)/man/man1/grass6.1 debian/$(BASE_NAME).1
	for m in debian/tmp/usr/lib/$(BASE_NAME)/man/man1/*.1; do \
		n=`basename $$m .1`; mv $$m debian/tmp/usr/lib/$(BASE_NAME)/man/man1/$$n.1grass; done
	for m in debian/tmp/usr/lib/$(BASE_NAME)/man/man1/*.1grass; do \
		sed -i -e 's/^.TH \(.*\) 1/.TH \1 1grass/' "$$m"; done

	# escape minus signs which are command line options not hyphens
	for m in debian/tmp/usr/lib/$(BASE_NAME)/man/man1/*.1grass; do \
		sed -i -e 's/\([ ([]\)-\([a-z]\)/\1\\-\2/g' \
			-e 's/\([ []\)--\([a-z]\)/\1\\-\\-\2/g' \
			-e 's/\[-\\fB/[\\-\\fB/' \
			-e 's/\[--\\fB/[\\-\\-\\fB/g' \
			-e 's/"\\fB-\([a-zA-Z0-9]\)/"\\fB\\-\1/' \
			-e 's/"\\fB--\([a-zA-Z0-9]\)/"\\fB\\-\\-\1/' \
			-e 's/\\fI-\([a-zA-Z0-9]\)/\\fI\-\1/g' \
			"$$m"; done

	# adjust from build-server build dir to end-user's install dir
	sed -i -e "s+^\(GRASS_HOME[ ]*=\) .*+\1 /usr/lib/$(BASE_NAME)+" \
		-e "s+^\(RUN_GISBASE[ ]*=\) .*+\1 /usr/lib/$(BASE_NAME)+" \
		debian/tmp/usr/lib/$(BASE_NAME)/include/Make/Platform.make

	# install helper scripts for building addon man pages
	install -m 755 tools/mkhtml.sh \
		debian/$(PKG_NAME)-dev/usr/lib/$(BASE_NAME)/tools/mkhtml.sh
	install -m 755 tools/g.html2man/g.html2man \
		debian/$(PKG_NAME)-dev/usr/lib/$(BASE_NAME)/tools/g.html2man

	# install pkg-config file
	install -m 644 grass.pc debian/$(PKG_NAME)-dev/usr/share/pkgconfig/$(BASE_NAME).pc

	# install icon file for debian menu system
	install -d debian/tmp/usr/share/icons \
		debian/tmp/usr/share/applications \
		debian/tmp/usr/bin
	# is there a better way to make these exist?
	mkdir -p debian/tmp/usr/share/icons/hicolor/32x32/apps
	mkdir -p debian/tmp/usr/share/icons/hicolor/48x48/apps
